## org.biojava.utils.io
Class RAF

    java.lang.Object
      java.io.RandomAccessFile
          org.biojava.utils.io.RAF

All Implemented Interfaces:
  java.io.DataInput, java.io.DataOutput

public class RAF
extends java.io.RandomAccessFile

Author:
  Matthew Pocock

Constructor Summary
`RAF(java.io.File file, java.lang.String mode)`
`RAF(java.lang.String name, java.lang.String mode)`

Method Summary
`java.io.File` `getFile()`

Methods inherited from class java.io.RandomAccessFile

`close, getChannel, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RAF

    public RAF(java.io.File file,
               java.lang.String mode)
        throws java.io.FileNotFoundException

### RAF

    public RAF(java.lang.String name,
               java.lang.String mode)
        throws java.io.FileNotFoundException

Method Detail

### getFile

    public java.io.File getFile()